SoBaseColor(3IV)

NAME
SoBaseColor — node that defines an object's base color

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoBaseColor

SYNOPSIS
#include <Inventor/nodes/SoBaseColor.h>

Fields from class SoBaseColor:

SoMFColor
rgb

Methods from class SoBaseColor:

SoBaseColor()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines the base color (or colors) of subsequent shape nodes in the scene graph. SoBaseColor sets only the diffuse color(s) of the current material and has no effect on the material's other attributes.

FIELDS
SoMFColor
rgb
RGB color(s).

METHODS

SoBaseColor()
Creates a base color node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction
Sets the current base color in the state.

FILE FORMAT/DEFAULTS
BaseColor {
rgb	0.8 0.8 0.8
}

SEE ALSO
SoMaterial, SoPackedColor